Error: can't find ldap.h and lber.h

Hi,

When i run the command "ruby extconf.rb --with-openldap1" i am getting
the error as "can't find ldap.h and lber.h
use the option '--with-ldap-dir'!". How can i solve this problem
please?.

Thank you
Periyasamy.R